CXXTESTGEN(1)

NAME
cxxtestgen - performs test discovery to create a CxxTest test runner

SYNOPSIS

cxxtestgen [options] [<filename> ...]

DESCRIPTION

The cxxtestgen command processes C++ header files to perform test discovery, and then it creates files for the CxxTest test runner.

OPTIONS

-h, --help
    show this help message and exit

--version
    Write the CxxTest version.

-o, --output=NAME
    Write output to file NAME.

-w, --world
    The label of the tests, used to name the XML results.

--include=HEADER
    Include file HEADER in the test runner before other headers.

--abort-on-fail
    Abort tests on failed asserts (like xUnit).

--main
    Specify an alternative name for the main() function.

--headers
    Specify a filename that contains a list of header files that are processed to generate a test runner.

--runner=CLASS
    Create a test runner that processes test events using the class CxxTest::CLASS.

--gui=CLASS
    Create a GUI test runner that processes test events using the class CxxTest::CLASS. (deprecated)

--error-printer
    Create a test runner using the ErrorPrinter class, and allow the use of the standard library.

--xunit-printer
    Create a test runner using the XUnitPrinter class.

--xunit-file
    The file to which the XML summary is written for test runners using the XUnitPrinter class. The default XML filename is TEST-<world>.xml, where <world> is the value of the --world option. (default: cxxtest)

--have-std
    Use the standard library (even if not found in tests).

--no-std
    Do not use standard library (even if found in tests).

--have-eh
    Use exception handling (even if not found in tests).

--no-eh
    Do not use exception handling (even if found in tests).

--longlong=TYPE
    Use TYPE as for long long integers. (default: not supported)

--no-static-init
    Do not rely on static initialization in the test runner.

--template=TEMPLATE
    Generate the test runner using file TEMPLATE to define a template.

--root
    Write the main() function and global data for a test runner.

--part
    Write the tester classes for a test runner.

-f, --fog-parser
    Use new FOG C++ parser (disabled)

EXIT STATUS

0
    Success

1
    Failure (syntax or usage error; configuration error; document processing failure; unexpected error).

BUGS

See the CxxTest Home Page for the link to the CxxTest ticket repository.

AUTHOR

CxxTest was originally written by Erez Volk. Many people have contributed to it.

RESOURCES

Home page: http://cxxtest.com/

CxxTest User Guide: http://cxxtest.com/cxxtest/doc/guide.html

COPYING

Copyright (c) 2008 Sandia Corporation. This software is distributed under the Lesser GNU General Public License (LGPL) v3